RESET-FILE-POOL(1)

NAME
reset-file-pool - undefines and "frees" the OIDs in a FramerD file pool

SYNOPSIS
reset-file-pool filename

DESCRIPTION
reset-file-pool resets the FramerD file pool in the file filename by deleting all of the existing OIDs and resetting the file pool's load so that they can be allocated again. Note that there is no way of telling if other pools or indices may still have pointers to some of these OIDs, so this command should never be used for publicly distributed file pools and should be used with caution on private pools.

OPTIONS
No options

DIAGNOSTICS
The program reports an error if filename does not exist or is not a file pool or if it cannot be (over) written.

BUGS
No known bugs.

Revision Info
$Id: reset-file-pool.1,v 1.3 2002/07/10 00:13:11 haase Exp $

AUTHOR
Ken Haase < kh@beingmeta.com >

SEE ALSO
framerd(7) make-file-pool(1)